DataSet (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: DataSet

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Class DataSet<T extends ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation>

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.DataSet<T>

All Implemented Interfaces:
  `IDataSet`, `IDataSetUpdatable`, `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`, `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent`

public class DataSet<T extends ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation> extends Object implements IDataSet
A generic class that represents a data set for the registration API. Can be subclassed.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final ch.systemsx.cisd.openbis.dss.generic.shared.IEncapsulatedBasicOpenBISService`
  `service`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataSet(ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationDetails<? extends T> registrationDetails, File dataSetFolder, ch.systemsx.cisd.openbis.dss.generic.shared.IEncapsulatedOpenBISService service)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getAllPropertyCodes()`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable>`
  `getChildrenDataSets()`
  `List<String>`
  `getContainedDataSetCodes()`
  `String`
  `getContainerDataSet()`
  `List<String>`
  `getContainerDataSets()`
  `String`
  `getDataSetCode()`
  `ch.systemsx.cisd.openbis.generic.shared.basic.dto.DataSetKind`
  `getDataSetKind()`
  `File`
  `getDataSetStagingFolder()`
  `String`
  `getDataSetType()`
  `ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.DataSetType`
  `getDataSetTypeWithPropertyTypes()`
  `protected ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.DataSetType`
  `getDataSetTypeWithPropertyTypes(String dataSetTypeCode)`
  `ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.id.IObjectId`
  `getEntityId()`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable`
  `getExperiment()`
  `String`
  `getExternalCode()`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExternalDataManagementSystemImmutable`
  `getExternalDataManagementSystem()`
  `Integer`
  `getOrderInContainer(String containerDataSetCode)`
  `List<String>`
  `getParentDatasets()`
  `String`
  `getPropertyValue(String propertyCode)`
  `ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationDetails<? extends T>`
  `getRegistrationDetails()`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable`
  `getSample()`
  `int`
  `getSpeedHint()`
  `boolean`
  `isContainedDataSet()`
  `boolean`
  `isContainerDataSet()`
  `boolean`
  `isLinkDataSet()`
  `boolean`
  `isMeasuredData()`
  `boolean`
  `isNoFileDataSet()`
  `boolean`
  `isPostRegistered()`
  `void`
  `setContainedDataSetCodes(List<String> containedDataSetCodes)`
  Set the codes for contained data sets.
  `void`
  `setDataSetKind(ch.systemsx.cisd.openbis.generic.shared.basic.dto.DataSetKind dataSetKind)`
  `void`
  `setDataSetType(String dataSetTypeCode)`
  Set the data set type.
  `void`
  `setExperiment(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable experiment)`
  Set the experiment for this data set.
  `protected void`
  `setExperiment(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Experiment exp)`
  `void`
  `setExternalCode(String externalCode)`
  Set the code from the external data management system
  `void`
  `setExternalDataManagementSystem(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExternalDataManagementSystemImmutable externalDataManagementSystem)`
  Set the external data management system
  `void`
  `setMeasuredData(boolean measuredData)`
  Set whether the data is measured or not.
  `void`
  `setParentDatasets(List<String> parentDatasetCodes)`
  Sets the parents of the dataset.
  `void`
  `setPropertyValue(String propertyCode, String propertyValue)`
  Set the value for a property.
  `void`
  `setSample(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable sampleOrNull)`
  Set the sample for this data set.
  `void`
  `setSpeedHint(int speedHint)`
  Sets the speed hint for the data set.
  `File`
  `tryDataSetContents()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### service

    protected final ch.systemsx.cisd.openbis.dss.generic.shared.IEncapsulatedBasicOpenBISService service

- ## Constructor Details

  - ### DataSet

    public DataSet(ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationDetails<? extends T> registrationDetails, File dataSetFolder, ch.systemsx.cisd.openbis.dss.generic.shared.IEncapsulatedOpenBISService service)

- ## Method Details

  - ### getRegistrationDetails

    public ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationDetails<? extends T> getRegistrationDetails()

  - ### getDataSetStagingFolder

    public File getDataSetStagingFolder()

  - ### tryDataSetContents

    public File tryDataSetContents()

  - ### getDataSetCode

    public String getDataSetCode()
    Specified by:
      `getDataSetCode` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`

  - ### getEntityId

    public ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.id.IObjectId getEntityId()
    Specified by:
      `getEntityId` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent`

  - ### getExperiment

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable getExperiment()
    Specified by:
      `getExperiment` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`

  - ### setExperiment

    public void setExperiment(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable experiment)
    Description copied from interface: `IDataSetUpdatable`
    Set the experiment for this data set. The experiment may also be set by setting the sample.
    Specified by:
      `setExperiment` in interface `IDataSetUpdatable`
    Parameters:
      `experiment` - The experiment for this data set. Need not actually be immutable, but the immutable one is the supertype.

  - ### getSample

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable getSample()
    Specified by:
      `getSample` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`

  - ### setSample

    public void setSample(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable sampleOrNull)
    Description copied from interface: `IDataSetUpdatable`
    Set the sample for this data set. Will also set the experiment, since the sample must have an experiment.
    Specified by:
      `setSample` in interface `IDataSetUpdatable`
    Parameters:
      `sampleOrNull` - The sample to use. Need not actually be immutable, but the immutable one is the supertype.

  - ### isMeasuredData

    public boolean isMeasuredData()
    Specified by:
      `isMeasuredData` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`

  - ### setMeasuredData

    public void setMeasuredData(boolean measuredData)
    Description copied from interface: `IDataSet`
    Set whether the data is measured or not.
    Specified by:
      `setMeasuredData` in interface `IDataSet`

  - ### getSpeedHint

    public int getSpeedHint()
    Specified by:
      `getSpeedHint` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`

  - ### setSpeedHint

    public void setSpeedHint(int speedHint)
    Description copied from interface: `IDataSet`
    Sets the speed hint for the data set. The speed hint is a negative or positive number with an absolute value less than or equal `Constants.MAX_SPEED`.

    A positive value means that the data set should be stored in a storage with speed >= `speedHint`. A negative value means that the data set should be stored in a storage with speed <= `abs(speedHint)`. The speed hint might be ignored.

    If no speed hint has been set the default value `Constants.DEFAULT_SPEED_HINT` is assumed.

    This property is undefined for container data sets.

    Specified by:
      `setSpeedHint` in interface `IDataSet`

  - ### getDataSetType

    public String getDataSetType()
    Specified by:
      `getDataSetType` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`

  - ### getDataSetKind

    public ch.systemsx.cisd.openbis.generic.shared.basic.dto.DataSetKind getDataSetKind()
    Specified by:
      `getDataSetKind` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`

  - ### getDataSetTypeWithPropertyTypes

    public ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.DataSetType getDataSetTypeWithPropertyTypes()
    Specified by:
      `getDataSetTypeWithPropertyTypes` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`

  - ### setDataSetType

    public void setDataSetType(String dataSetTypeCode)
    Description copied from interface: `IDataSet`
    Set the data set type.
    Specified by:
      `setDataSetType` in interface `IDataSet`

  - ### setDataSetKind

    public void setDataSetKind(ch.systemsx.cisd.openbis.generic.shared.basic.dto.DataSetKind dataSetKind)
    Specified by:
      `setDataSetKind` in interface `IDataSet`

  - ### setExperiment

    protected void setExperiment(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Experiment exp)

  - ### getPropertyValue

    public String getPropertyValue(String propertyCode)
    Specified by:
      `getPropertyValue` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`

  - ### getAllPropertyCodes

    public List<String> getAllPropertyCodes()
    Specified by:
      `getAllPropertyCodes` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`

  - ### setPropertyValue

    public void setPropertyValue(String propertyCode, String propertyValue)
    Description copied from interface: `IDataSetUpdatable`
    Set the value for a property.
    Specified by:
      `setPropertyValue` in interface `IDataSetUpdatable`

  - ### setParentDatasets

    public void setParentDatasets(List<String> parentDatasetCodes)
    Description copied from interface: `IDataSetUpdatable`
    Sets the parents of the dataset.
    Specified by:
      `setParentDatasets` in interface `IDataSetUpdatable`

  - ### getParentDatasets

    public List<String> getParentDatasets()
    Specified by:
      `getParentDatasets` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`

  - ### isContainerDataSet

    public boolean isContainerDataSet()
    Specified by:
      `isContainerDataSet` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`

  - ### getContainedDataSetCodes

    public List<String> getContainedDataSetCodes()
    Specified by:
      `getContainedDataSetCodes` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`

  - ### setContainedDataSetCodes

    public void setContainedDataSetCodes(List<String> containedDataSetCodes)
    Description copied from interface: `IDataSetUpdatable`
    Set the codes for contained data sets.
    Specified by:
      `setContainedDataSetCodes` in interface `IDataSetUpdatable`

  - ### getChildrenDataSets

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable> getChildrenDataSets()
    Specified by:
      `getChildrenDataSets` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`

  - ### isContainedDataSet

    public boolean isContainedDataSet()
    Specified by:
      `isContainedDataSet` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`

  - ### getContainerDataSet

    public String getContainerDataSet()
    Specified by:
      `getContainerDataSet` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`

  - ### getContainerDataSets

    public List<String> getContainerDataSets()
    Specified by:
      `getContainerDataSets` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`

  - ### getOrderInContainer

    public Integer getOrderInContainer(String containerDataSetCode)
    Specified by:
      `getOrderInContainer` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`

  - ### setExternalDataManagementSystem

    public void setExternalDataManagementSystem(ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExternalDataManagementSystemImmutable externalDataManagementSystem)
    Description copied from interface: `IDataSetUpdatable`
    Set the external data management system
    Specified by:
      `setExternalDataManagementSystem` in interface `IDataSetUpdatable`

  - ### isLinkDataSet

    public boolean isLinkDataSet()
    Specified by:
      `isLinkDataSet` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`

  - ### getExternalDataManagementSystem

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExternalDataManagementSystemImmutable getExternalDataManagementSystem()
    Specified by:
      `getExternalDataManagementSystem` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`

  - ### setExternalCode

    public void setExternalCode(String externalCode)
    Description copied from interface: `IDataSetUpdatable`
    Set the code from the external data management system
    Specified by:
      `setExternalCode` in interface `IDataSetUpdatable`

  - ### getExternalCode

    public String getExternalCode()
    Specified by:
      `getExternalCode` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`

  - ### isNoFileDataSet

    public boolean isNoFileDataSet()
    Specified by:
      `isNoFileDataSet` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`

  - ### isPostRegistered

    public boolean isPostRegistered()
    Specified by:
      `isPostRegistered` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`

  - ### getDataSetTypeWithPropertyTypes

    protected ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.DataSetType getDataSetTypeWithPropertyTypes(String dataSetTypeCode)